predict.BigBang {galgo} | R Documentation

## Predicts the class or fitting of new set of samples

### Description

Predicts the class or fitting of new set of samples.

### Usage

    ## S3 method for class 'BigBang'
    predict(object,
    	newdata,
    	permanent=FALSE,
    	newClass="UNKNOWN",
    	func=classPredictionMatrix,
    	scale=if (is.null(o$data$scale)) FALSE else o$data$scale,
    	...)

### Arguments

`newdata` | Matrix or data frame with the same dimensions than original data. columns are new samples, rows are genes.
`permanent` | Should the newdata become permenent in the bigbang object. This is used to make plots including the new samples. However, the new samples are added supposing a new class "UNKNOWN" which may be annoying because it is a false class (added to simplify the implementation).
`newClass` | Name of the new class or names of each new sample if they want to be distinguished in plots. It could be a numeric vector, which is interpreted as levels of original classes. The default is "UNKNOWN".
`func` | The function wanted to be called. If permament is TRUE, this is unnecessary. The default is classPredictionMatrix, which will produce the class prediction for the new data. If the BigBang object is not a classification problem this function is the desired fitting/predicting function. If it is not a function, no call be performed.
`...` | Further parameters passed to func.

### Value

Returns the result of the call to func.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

    ## Not run:
       #bb is a BigBang object
       #nd is a the new data frame, rows=genes, cols=samples
       cpm <- predict(bb, newdata=nd)
       cpm

       #permanent data = PLOTS
       cpm <- predict(bb, newdata=nd, permanent=TRUE)
       plot(bb, cpm, type="confusion")

    ## End(Not run)

[Package galgo version 1.4 Index]